Update automation

PATCH
https://example.kaiten.ru/api/latest/spaces/{space_id}/automations/{automation_uid}

Update automation

Path parameters
NameTypeReference
space_idrequiredintegerSpace ID
automation_uidrequiredstringAutomation UID
Headers
NameValue
Content-Typeapplication/json
Automation types and attributes

Explain automation types and its attributes

Automation typeAttributesDescription
Event automation
Automation that triggered by events.
Example: When card created on the board N  - add tags 
Date automation
Automation that triggered by date.
Example: When 2 days left before card due dates - add sla
Button automation
Automation which are triggered manually.
Through a button "Automation" in the card interface
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
name

string | null

AutomationName
sort_order

number

Automation sort order
space_uid

string

Space uid
updater_id

integer

User id, who created automation
company_id

integer

Company id
created

string

Created timestamp
updated

string

Updated timestamp
id

string

Automation uid
status

enum

active, disabled, removed, broken
type

enum

on_action - event automatation, on_date - due date automation
trigger

object

Schema
Automation trigger data
actions

array of objects

Schema
Automation actions
conditions

object

Schema
Automation conditions
400
DescriptionResponse typeExample
Invalid tokenString
Open
402
DescriptionResponse typeExample
Feature is not supported by tariff
Open
403
DescriptionResponse typeExample
Forbidden
Open
404
DescriptionResponse typeExample
Not foundResponse body does not exist
Examples

Automation Examples:

Basic example
{
  "name": "",
  "trigger": {
    "type": "card_state_changed",
    "hasToFireOnCardCreation": false
  },
  "actions": [
    {
      "created": "2023-09-19T07:34:34.112Z",
      "type": "add_assignee",
      "data": {}
    }
  ]
}
With conditions
{
  "name": "",
  "trigger": {
    "type": "card_moved_in_path",
    "hasToFireOnCardCreation": false
  },
  "conditions": {
    "clause": "or",
    "created": "2023-09-19T07:49:24.130Z",
    "conditions": [
      {
        "clause": "and",
        "created": "2023-09-19T07:49:30.100Z",
        "conditions": [
          {
            "type": "new_path",
            "operator": "eq",
            "data": {
              "boardId": 331,
              "columnId": 1003,
              "laneId": 644
            },
            "created": "2023-09-19T07:49:31.130Z"
          },
          {
            "type": "tag",
            "operator": "eq",
            "data": {
              "tagIds": [
                128
              ]
            },
            "created": "2023-09-19T07:49:31.842Z"
          }
        ]
      }
    ]
  },
  "actions": [
    {
      "type": "sort_cards",
      "data": {
        "sortProperty": "due_date",
        "sortDirection": "asc",
        "sortWithinColumn": false
      },
      "created": "2023-09-19T07:34:34.112Z"
    }
  ]
}
With multiple conditions and actions
{
  "name": "",
  "trigger": {
    "type": "card_created",
    "hasToFireOnCardCreation": true
  },
  "conditions": {
    "clause": "or",
    "created": "2023-09-19T07:49:24.130Z",
    "conditions": [
      {
        "clause": "and",
        "created": "2023-09-19T07:49:30.100Z",
        "conditions": [
          {
            "type": "path",
            "operator": "eq",
            "data": {
              "laneId": null,
              "boardId": 8,
              "columnId": null
            },
            "created": "2023-09-19T07:49:31.130Z"
          },
          {
            "type": "card_type",
            "operator": "eq",
            "data": {
              "typeIds": [
                1
              ]
            },
            "created": "2023-09-19T07:49:31.842Z"
          }
        ]
      }
    ]
  },
  "actions": [
    {
      "data": {
        "direction": "next"
      },
      "type": "move_on_board",
      "created": "2023-09-26T08:29:22.446Z"
    },
    {
      "data": {
        "userId": 0
      },
      "type": "add_assignee",
      "created": "2023-09-27T10:19:46.909Z"
    }
  ]
}
Date automation
{
  "name": "",
  "trigger": {
    "type": "due_date_on_date",
    "data": {
      "variant": "time_left_before_date",
      "timezone": "UTC",
      "offset": 2,
      "offset_unit": "day"
    }
  },
  "actions": [
    {
      "type": "change_asap",
      "data": {
        "asap": true
      },
      "created": "2023-09-27T10:27:05.570Z"
    }
  ]
}
Button automation
{
  "name": "Button automation example",
  "actions": [
    {
      "type": "complete_checklists",
      "data": {},
      "created": "2023-09-27T10:29:05.570Z"
    }
  ]
}
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru

Path Parameters

  1  curl --request PATCH \
  2       --url 'https://example.kaiten.ru/api/latest/spaces/{space_id}/automations/{automation_uid}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!